<?php
/*
 * Minimal Blogger functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Minimal Blogger
*/

// Loads parent theme stylesheet
function minimal_blogger_setup() {
        add_image_size('minimal-blogger-slider', 720, 1280, true);
}
add_action('after_setup_theme', 'minimal_blogger_setup');
// Do not delete this
function minimal_blogger_scripts()
{
    wp_enqueue_style('galway-lite', get_template_directory_uri() . '/style.css');
}

add_action('wp_enqueue_scripts', 'minimal_blogger_scripts', 20);




// Loads custom stylesheet and js for child. 
// This could override all stylesheets of parent theme and custom js functions
function minimal_blogger_custom_scripts()
{

    $fonts_url = galway_lite_fonts_url();
    if (!empty($fonts_url)) {
        wp_enqueue_style('galway-lite-google-fonts', $fonts_url, array(), null);
    }

    wp_enqueue_style('minimal-blogger', get_stylesheet_directory_uri() . '/assets/custom.css');

    wp_enqueue_script('minimal-script', get_stylesheet_directory_uri().'/assets/custom.js', array('jquery'), '', true);
}

add_action('wp_enqueue_scripts', 'minimal_blogger_custom_scripts', 60);

require_once( get_stylesheet_directory(). '/inc/hooks/slider.php' );


if (!function_exists('galway_lite_fonts_url')):

/**
 * Return fonts URL.
 *
 * @since 1.0.0
 * @return string Fonts URL.
 */
function galway_lite_fonts_url() {
	$fonts_url = '';
	$fonts     = array();

	$galway_lite_primary_font   = 'Archivo+Narrow:400,400i,700,700i';
	$galway_lite_secondary_font = 'Merriweather:400,400i';

	$galway_lite_fonts   = array();
	$galway_lite_fonts[] = $galway_lite_primary_font;
	$galway_lite_fonts[] = $galway_lite_secondary_font;

	$galway_lite_fonts_stylesheet = '//fonts.googleapis.com/css?family=';

	$i = 0;
	for ($i = 0; $i < count($galway_lite_fonts); $i++) {

		if ('off' !== sprintf(_x('on', '%s font: on or off', 'galway-lite'), $galway_lite_fonts[$i])) {
			$fonts[] = $galway_lite_fonts[$i];
		}

	}

	if ($fonts) {
		$fonts_url = add_query_arg(array(
				'family' => urldecode(implode('|', $fonts)),
			), 'https://fonts.googleapis.com/css');
	}

	return $fonts_url;
}

endif;
